OpenJDK compatibility and AWI 12

book

Article ID: 144041

calendar_today

Updated On:

Products

CA Automic Workload Automation - Automation Engine CA Automic One Automation CA Automic Operations Manager CA Automic Oracle

Issue/Introduction

This Article summarizes in a few words the compatibility of AWA versions with OpenJDK.

Cause

Version 12.2 is not compatible with OpenJDK as this can be seen in the compatibility Matrix bellow:

https://docs.automic.com/tools/compatibility_matrix?compatibility-mode=component&offering_version_id=1556109560944&lifecycle_entity_id=1409143059253&component_id=1409731986667&version_id=1548836251779

Version 12.3 is compatible and supported with OpenJDK 11 exclusively

https://downloads.automic.com/tools/compatibility_matrix?compatibility-mode=component&offering_version_id=1562664826286&lifecycle_entity_id=1409143059253&version_id=1548836251779

 

Environment

Release : 12.x

Component : AUTOMATION ENGINE

Subcomponent: Automic Web Interface (AWI)

Resolution

OpenJDK versions different from OpenJDK 11 are not supported with AWI 12.3

Legacy Java Gui 11.x  or 12.0.x used to connect to old AE versions (inferior to 12.1) will NOT support either OpenJDK, only Oracle Java 7.x / 8.x  is supported.